package com.bjtdba.entity.system;

import java.io.Serializable;
import java.util.Date;

/**
 * 配置表(RrxSystemConfig)实体类
 *
 * @author makejava
 * @since 2022-08-23 16:44:28
 */
public class SystemConfig implements Serializable {
    private static final long serialVersionUID = -72938563829735686L;
    /**
     * 配置id
     */
    private String configId;
    /**
     * 配置分类id
     */
    private String configClassifyId;
    /**
     * 字段名称
     */
    private String configName;
    /**
     * 字段 key
     */
    private String configKey;
    /**
     * 配置类型
     */
    private String configType;
    /**
     * 规则
     */
    private String configRule;
    /**
     * 必填
     */
    private Integer required;
    /**
     * 配置说明
     */
    private String info;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 0=总后台配置 1=商户后台配置
     */
    private Integer userType;
    /**
     * 是否显示
     */
    private Integer status;
    
    private Date createTime;


    public String getConfigId() {
        return configId;
    }

    public void setConfigId(String configId) {
        this.configId = configId;
    }

    public String getConfigClassifyId() {
        return configClassifyId;
    }

    public void setConfigClassifyId(String configClassifyId) {
        this.configClassifyId = configClassifyId;
    }

    public String getConfigName() {
        return configName;
    }

    public void setConfigName(String configName) {
        this.configName = configName;
    }

    public String getConfigKey() {
        return configKey;
    }

    public void setConfigKey(String configKey) {
        this.configKey = configKey;
    }

    public String getConfigType() {
        return configType;
    }

    public void setConfigType(String configType) {
        this.configType = configType;
    }

    public String getConfigRule() {
        return configRule;
    }

    public void setConfigRule(String configRule) {
        this.configRule = configRule;
    }

    public Integer getRequired() {
        return required;
    }

    public void setRequired(Integer required) {
        this.required = required;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

